/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCPATH.H__   1.0   15 Aug 1997 14:03:44   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCPATH.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:44   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:26   ZJRD
** 1.0c
** 
****************************************************************************/

// srcpath.h : header file
//
#ifndef _SRCPATH_H_
#define _SRCPATH_H_

/////////////////////////////////////////////////////////////////////////////
// CSourcePathPage

class CSourcePathPage : public CPropertyPage
{
// Construction
public:
	CSourcePathPage(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourcePathPage)
	enum { IDD = IDD_SRC_PATH };
	CEdit	m_editDir;
	CListBox	m_lstDir;
	CComboBox	m_comboDriver;
	CListBox	m_lstPath;
	CButton	m_btnDown;
	CButton	m_btnUp;
	CButton	m_btnRemove;
	CButton	m_btnAdd;
	//}}AFX_DATA


// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual BOOL OnSetActive();

// Implementation
protected:
	void GetDriver();
	void GetDir();
	void ShowDir();
	void EnableControl();
	void GetPathList();

	// Generated message map functions
	//{{AFX_MSG(CSourcePathPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonSrcpathAdd();
	afx_msg void OnButtonSrcpathMoveup();
	afx_msg void OnButtonSrcpathMovedown();
	afx_msg void OnSelchangeComboSrcpathDriver();
	afx_msg void OnButtonSrcpathRemove();
	afx_msg void OnDblclkListSrcpathDir();
	afx_msg void OnSelchangeListSrcpathPath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
